<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * ausgeliehenen Filme anzeigen und bearbeiten
 */


if ( $_SESSION['UserRechte'] < 900 && 
     !( $_SESSION['UserRechte'] == 600 && $settings->AdminCanDistribute )
   )
    exit();


if ( $myVar->MenuID == 897 )
{
    $var = array();
    $var = $myVar->getRequest($var,TRUE); 
    
    echo "<form method=\"get\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<fieldset>";
    echo "<legend>Film ausleihen</legend>";
    echo $var;
    echo "<input type=\"hidden\" name=\"set\" value=\"1\" />";
    echo "<table class=\"FilmInsert\">";
    echo "<tr>";
    echo "<td class=\"description\">FilmID</td>";
    
    echo "<td><input style=\"width:7em\" type=\"text\" name=\"myFilmID\" value=\"";
    if ( isset($_REQUEST) && array_key_exists( 'myFilmID' , $_REQUEST ) )
        echo $_REQUEST['myFilmID'];
    else
        echo $myVar->myFilmIDstring;
    echo "\" /><span style=\"font-size:0.9em\"> (mit KollektionsID)</span></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Benutzer</td>";
    echo "<td>";
    echo "<select name=\"UserID\">";
    $sql = "SELECT * FROM $myDB->USERS ORDER BY UserName";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
    {
        echo "<option value=\"{$row['UserID']}\"";
        if ( array_key_exists( 'UserID' , $_REQUEST ) && $row['UserID'] == $_GET['UserID'] )
            echo "selected=\"selected\" style=\"font-weight:bold\"";
        echo ">{$row['UserName']} ({$row['Email']})</option>";
    }
    
    echo "</select>";
    echo "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td colspan=\"2\"><input style=\"margin-top:1em; width:8em\" class=\"buttonSubmit\" type=\"submit\" value=\"eintragen\" /></td>";
    echo "</tr>";
    echo "</table>";
    echo "</fieldset>";
    echo "</form>";
    
    
    // zhlen wieviele FIlme insegsamt verliehen sind
    if ($_SESSION['ownFilms'] == 0) {
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di WHERE di.USERS_UserID != 0 GROUP BY FILME_FilmID";
    } else {
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME fi ON di.FILME_FilmID = fi.FilmID WHERE di.USERS_UserID != 0 AND fi.USERS_UserID = {$_SESSION['UserID']} GROUP BY di.FILME_FilmID";
    }
    $rs = $myDB->go($sql);
    $anzFilme=0;
    while ( $row = $myDB->getRow($rs) )
        ++$anzFilme;
    
    
    if ($_SESSION['ownFilms'] == 0) {
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di WHERE di.USERS_UserID != 0";
    } else {
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME fi ON di.FILME_FilmID = fi.FilmID WHERE di.USERS_UserID != 0 AND fi.USERS_UserID = {$_SESSION['UserID']}";
    }
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    
    if ( $anzFilme > 0 )
    {
        echo "<div id=\"verliehen\">";
        echo "<fieldset style=\"margin-top:2em\">";
        
        if ( $anzFilme == 1 ) {
            echo "<legend>ein verliehener Film";
            if ( $row['Anz'] > 1 )
                echo " ({$row['Anz']} Disks)";
            echo "</legend>";
        }
        else {
            echo "<legend>$anzFilme verliehene Filme";
            if ( $row['Anz'] > 1 )
                echo " ({$row['Anz']} Disks)";
            echo "</legend>";
        }
    }
    
    if ( $anzFilme > 0)
    {
        echo "<ul>";
        if ($_SESSION['ownFilms'] == 0) {
            $sql = "SELECT DISTINCT us.UserID, us.UserName FROM $myDB->DISCS di INNER JOIN $myDB->USERS us ON us.UserID = di.USERS_UserID ORDER BY us.UserName";
        } else {
            $sql = "SELECT DISTINCT us.UserID, us.UserName FROM $myDB->DISCS di INNER JOIN $myDB->USERS us ON us.UserID = di.USERS_UserID INNER JOIN $myDB->FILME fi ON di.FILME_FilmID = fi.FilmID WHERE fi.USERS_UserID = {$_SESSION['UserID']} ORDER BY us.UserName";
        }
        $rs = $myDB->go($sql);
        
        for( $i = 0; $row = $myDB->getRow($rs); ++$i )
        {
            echo "<li>{$row['UserName']} hat ";
            if($_SESSION['ownFilms'] == 0) {
                $sql3 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di WHERE di.USERS_UserID = {$row['UserID']} GROUP BY di.FILME_FilmID"; 
            } else {
                $sql3 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME fi ON di.FILME_FilmID = fi.FilmID WHERE di.USERS_UserID = {$row['UserID']} AND fi.USERS_UserID = {$_SESSION['UserID']} GROUP BY di.FILME_FilmID"; 
            }
            $rs3 = $myDB->go($sql3);
            $row3['Anz'] = mysql_num_rows($rs3);
            //$row3 = $myDB->getRow($rs3);
            if ( $row3['Anz'] == 1 )
                echo "einen Film ";
            else
                echo $row3['Anz']." Filme ";
            
            if ($_SESSION['ownFilms'] == 0) {
                $sql3 = "SELECT DISTINCT COUNT(*) AS Anz FROM $myDB->DISCS WHERE USERS_UserID = {$row['UserID']}";
            } else {
                $sql3 = "SELECT DISTINCT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME fi ON di.FILME_FilmID = fi.FilmID WHERE di.USERS_UserID = {$row['UserID']} AND fi.USERS_UserID = {$_SESSION['UserID']}";
            }
            $rs3 = $myDB->go($sql3);
            $row3 = $myDB->getRow($rs3);
            if ( $row3['Anz'] != 1 )
                echo "(".$row3['Anz']." Disks)";
            
            if ($_SESSION['ownFilms'] == 0) {
                $sql2 = "SELECT DISTINCT FilmID, COLLECT_CollectID, myFilmID, Titel, ausgeliehenAm FROM $myDB->FILME fi INNER JOIN $myDB->DISCS di ON FILME_FilmID=FilmID WHERE di.USERS_UserID = {$row['UserID']} ORDER BY Titel";
            } else {
                $sql2 = "SELECT DISTINCT FilmID, COLLECT_CollectID, myFilmID, Titel, ausgeliehenAm FROM $myDB->FILME fi INNER JOIN $myDB->DISCS di ON FILME_FilmID=FilmID WHERE di.USERS_UserID = {$row['UserID']} AND fi.USERS_UserID = {$_SESSION['UserID']} ORDER BY Titel";
            }
            $rs2 = $myDB->go($sql2);
            echo "<ul>";
            while( $row2 = $myDB->getRow($rs2) )
            {
                $var = array();
                $var['MenuID'] = 280;
                $var['FilmID'] = $row2['FilmID'];
                $var = $myVar->getRequest($var); 
    
                echo "<li>";
                echo "<p id=\"Filmlink\" style=\"margin:0\"><a href=\"{$_SERVER['PHP_SELF']}?$var\">";
                echo $row2['Titel']." (FilmID: ".$row2['COLLECT_CollectID']."-".getAnzStellenID( $row2['myFilmID'], $settings ).")";
                echo "</a></p>";
                
                $var = array();
                $var['FilmID'] = $row2['FilmID'];
                $var = $myVar->getRequest($var)."get=1&amp;UserID={$row['UserID']}"; 
                
                echo "<p style=\"margin:0; font-size:0.81em\"><a href=\"{$_SERVER['PHP_SELF']}?$var\">zur&uuml;ckgeben";
                echo " (DiskID: ".getDiscID( $row2['FilmID'], $myDB, $settings ).")</a> - verliehen seit ". formatDate( $row2['ausgeliehenAm'] );
                if ( $myDB->MySQL_Ver )
                    echo " (".getDaysInWeeks( getDaysFromToday( $row2['ausgeliehenAm'], $myDB ) ).")";
                echo "</p>";
                echo "</li>";
            }
            
            echo "</ul>";
            echo "</li>";
        }
        echo "</ul>";
        
        echo "</fieldset>";
        echo "</div>";
    }
}


?>
