<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * einen Benutzer hinzufgen oder ndern
 */


if ( $_SESSION['UserRechte'] < 900 )
    exit();

// einen Benutzer hinzufgen / ndern
if ( $myVar->MenuID == 899 )
{
    // wenn nicht einfgen, dann Werte holen
    if ( $myVar->printChange == TRUE && !count( $myVar->warnung ) )
    {
        // Filmdaten holen
        $sql = "SELECT * FROM $myDB->USERS WHERE UserID = {$_REQUEST['UserID']}";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
    }
    if ( count($myVar->warnung) )
    {
        $row['UserName'] = $_REQUEST['Name'];
        $row['Email'] = $_REQUEST['Email'];
        $row['UserRechte'] = $_REQUEST['UserRechte'];
        $row['getEmail'] = $_REQUEST['getEmail'];
        $row['getResEmails'] = $_REQUEST['getResEmails'];
        $row['showUserName'] = $_REQUEST['showUserName'];
        $row['Birthday'] = $_REQUEST['Birthday'];
        $row['FilmPrivileg'] = $_REQUEST['FilmPrivileg'];
        $row['FormatPrivileg'] = $_REQUEST['FormatPrivileg'];
        $row['GenrePrivileg'] = $_REQUEST['GenrePrivileg'];
        $row['CollectPrivileg'] = $_REQUEST['CollectPrivileg'];
    }
    if ( $myVar->printChange == FALSE && !count( $myVar->warnung ) )
        $row['UserRechte'] = 300;
    
    echo "<fieldset>";
    if ( $myVar->printChange == TRUE )
        echo "<legend>Benutzer &auml;ndern</legend>";
    else
        echo "<legend>Benutzer hinzuf&uuml;gen</legend>";
    
    echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}\">";
    
    echo "<table class=\"insertFilmPers\">";
    $var = array();
    $var = $myVar->getRequest($var,TRUE); 
    echo "<tr><td>$var</td></tr>";
    echo "<tr style=\"vertical-align: top\">";
    echo "<td class=\"description\">Benutzername</td>";
    echo "<td><input type=\"text\" name=\"Name\" value=\"";
	if ( array_key_exists( 'UserName' , $row ) )
		echo $row['UserName'];
	echo "\" maxlength=\"25\" /></td>";
    echo "</tr>";
    echo "<tr style=\"vertical-align: top\">";
    echo "<td class=\"description\">Email</td>";
    echo "<td><input type=\"text\" name=\"Email\" value=\"";
	if ( array_key_exists( 'Email' , $row ) )
		echo $row['Email'];
	echo "\" maxlength=\"50\" /></td>";
    echo "</tr>";
    
    // Geburtstdatum
    echo "<tr style=\"vertical-align: top\">";
    echo "<td class=\"description\">Geburtsdatum</td>";
    echo "<td><input style=\"width: 5.0em\" type=\"text\" name=\"Birthday\" value=\"";
	if ( array_key_exists( 'Birthday' , $row ) && $row['Birthday'] != "0000-00-00" )
		echo $row['Birthday'];
    elseif (array_key_exists( 'Birthday', $_POST ))
        echo $_POST['Birthday'];
	echo "\" maxlength=\"10\" />" .
            "<span style=\"font-size:0.9em\"> JJJJ-MM-TT</span>" .
            "<p style=\"margin:0em; font-size:0.9em\">Hinweis: Wenn kein Datum eingetragen ist, " .
            "hat Benutzer keine FSK-Einschr&auml;nkungen.</p></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Privileg f&uuml;r Filme</td>";
    echo "<td><input style=\"width: 3.1em\" type=\"text\" name=\"FilmPrivileg\" maxlength=\"2\" value=\"";
	if ( array_key_exists( 'FilmPrivileg' , $row ) )
		echo $row['FilmPrivileg'];
	echo "\" /><span style=\"font-size:0.9em\">Standard: 1</span></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Privileg f&uuml;r Formate</td>";
    echo "<td><input style=\"width: 3.1em\" type=\"text\" name=\"FormatPrivileg\" maxlength=\"2\" value=\"";
	if ( array_key_exists( 'FormatPrivileg' , $row ) )
		echo $row['FormatPrivileg'];
	echo "\" /><span style=\"font-size:0.9em\">Standard: 1</span></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Privileg f&uuml;r Genre</td>";
    echo "<td><input style=\"width: 3.1em\" type=\"text\" name=\"GenrePrivileg\" maxlength=\"2\" value=\"";
	if ( array_key_exists( 'GenrePrivileg' , $row ) )
		echo $row['GenrePrivileg'];
	echo "\" /><span style=\"font-size:0.9em\">Standard: 1</span></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Privileg f&uuml;r Kollektion</td>";
    echo "<td><input style=\"width: 3.1em\" type=\"text\" name=\"CollectPrivileg\" maxlength=\"2\" value=\"";
	if ( array_key_exists( 'CollectPrivileg' , $row ) )
		echo $row['CollectPrivileg'];
	echo "\" /><span style=\"font-size:0.9em\">Standard: 1</span></td>";
    echo "</tr>";
    echo "<tr style=\"vertical-align: top\">";
    echo "<td class=\"description\">UserRechte</td>";
    echo "<td style=\"align:left;\">";
    
    echo "<input style=\"width:1em; vertical-align:middle;\" type=\"radio\" name=\"UserRechte\" value=\"300\" ";
    if ( $row['UserRechte'] == 300 )
        echo "checked=\"checked\" ";
    echo "/> ".getRechte(300)."&nbsp;&nbsp;";
    echo "<input style=\"width:1em; vertical-align:middle;\" type=\"radio\" name=\"UserRechte\" value=\"601\" ";
    if ( $row['UserRechte'] == 600 && $row['ownFilms'] == 1 )
        echo "checked=\"checked\" ";
    echo "/>Admin (eigene Filme)&nbsp;&nbsp;";
    echo "<input style=\"width:1em; vertical-align:middle;\" type=\"radio\" name=\"UserRechte\" value=\"600\" ";
    if ( $row['UserRechte'] == 600 && $row['ownFilms'] == 0 )
        echo "checked=\"checked\" ";
    echo "/> ".getRechte(600)."&nbsp;&nbsp;";
    echo "<input style=\"width:1em; vertical-align:middle;\" type=\"radio\" name=\"UserRechte\" value=\"900\" ";
    if ( $row['UserRechte'] == 900 )
        echo "checked=\"checked\" ";
    echo "/> ".getRechte(900);
    echo "</td>";
    echo "</tr>";
    
    
    echo "<tr style=\"vertical-align: top\">";
    echo "<td class=\"description\">hat Zugriff</td>";
    echo "<td>";
    echo "<input class=\"checkbox\" style=\"width: 1em\" type=\"checkbox\" name=\"hasAccess\" value=\"1\"";
    if ( $myVar->printChange == FALSE ||
         array_key_exists( 'hasAccess' , $row ) && $row['hasAccess'] ||
         array_key_exists( 'hasAccess' , $_POST ) && $_POST['hasAccess'] )
        echo ' checked="checked"';
    echo " /> (siehe Handbuch f&uuml;r Infos)";
    echo "</td>";
    echo "</tr>";
    
    
    echo "<tr>";
    echo "<td class=\"description\">Infos</td>";
    echo "<td>";
    echo "per Mail erhalten:&nbsp;&nbsp;";
    echo "<input style=\"width:1em; vertical-align:middle;\" type=\"radio\" name=\"getEmail\" value=\"1\" ";
    if ( array_key_exists( 'getEmail', $row ) && $row['getEmail'] == 1 || 
         array_key_exists( 'getEmail', $_POST ) && $_POST['getEmail'] == 1 )
        echo "checked=\"checked\" ";
    echo "/> ja&nbsp;&nbsp;";
    echo "<input style=\"width:1em; vertical-align:middle;\" type=\"radio\" name=\"getEmail\" value=\"0\"";
    if ( array_key_exists( 'getEmail', $row ) && $row['getEmail'] == 0 ||
         array_key_exists( 'getEmail', $_POST ) && $_POST['getEmail'] == 0 ||
         !array_key_exists( 'getEmail', $_POST ) && !array_key_exists( 'getEmail', $row ) )
        echo "checked=\"checked\" ";
    echo "/> nein (&uuml;ber neue Filme)";
    echo "</td>";
    echo "</tr>";
    
    if ( $row['UserRechte'] == 600 || $_SESSION['UserRechte'] > 300) {
    	echo "<tr>";
	echo "<td class=\"description\">Informationen</td>";
	echo "<td>";
	echo "per Mail ber gettigte Reservierungen:&nbsp;&nbsp;";
	echo "<input style=\"width:1em; vertical-align:middle;\" type=\"radio\" name=\"getResEmails\" value=\"1\" ";
	if ( array_key_exists( 'getResEmails', $row ) && $row['getResEmails'] == 1 || 
	 array_key_exists( 'getResEmails', $_POST ) && $_POST['getResEmails'] == 1 )
	echo "checked=\"checked\" ";
	echo "/> ja&nbsp;&nbsp;";
	echo "<input style=\"width:1em; vertical-align:middle;\" type=\"radio\" name=\"getResEmails\" value=\"0\"";
	if ( array_key_exists( 'getResEmails', $row ) && $row['getResEmails'] == 0 ||
	 array_key_exists( 'getResEmails', $_POST ) && $_POST['getResEmails'] == 0 ||
	 !array_key_exists( 'getResEmails', $_POST ) && !array_key_exists( 'getResEmails', $row ) )
	echo "checked=\"checked\" ";
	echo "/> nein";
	echo "</td>";
	echo "</tr>";
    }
    
     if ( $settings->showHistory) {
    	echo "<tr>";
	echo "<td class=\"description\">Username</td>";
	echo "<td>";
	echo "fr andere in Verleihhistory sichtbar&nbsp;&nbsp;";
	echo "<input style=\"width:1em; vertical-align:middle;\" type=\"radio\" name=\"showUserName\" value=\"1\" ";
	if ( array_key_exists( 'showUserName', $row ) && $row['showUserName'] == 1 || 
	 array_key_exists( 'showUserName', $_POST ) && $_POST['showUserName'] == 1 )
	echo "checked=\"checked\" ";
	echo "/> ja&nbsp;&nbsp;";
	echo "<input style=\"width:1em; vertical-align:middle;\" type=\"radio\" name=\"showUserName\" value=\"0\"";
	if ( array_key_exists( 'showUserName', $row ) && $row['showUserName'] == 0 ||
	 array_key_exists( 'showUserName', $_POST ) && $_POST['showUserName'] == 0 ||
	 !array_key_exists( 'showUserName', $_POST ) && !array_key_exists( 'showUserName', $row ) )
	echo "checked=\"checked\" ";
	echo "/> nein";
	echo "</td>";
	echo "</tr>";
    }   
    if ( $myVar->printChange == FALSE )
    {
        echo "<tr>";
        echo "<td class=\"description\">Nachricht<br /><span style=\"font-size:0.9em;font-weight:normal\">&amp;name; wird<br />duch UserName<br />ersetzt<br /><br />Link wird<br />angehongen</span></td>";
        echo "<td><textarea cols=\"50\" rows=\"7\" name=\"message\">";
        if ( isset($_POST) && array_key_exists( 'message', $_POST ) )
        	echo $_POST['message'];
        else
        	echo "Hallo &amp;name;!\n\nF&uuml;r dich wurde ein Account erstellt.\nFolge dem Link, um ein Passwort zu erstellen!\n\nViele Gr&uuml;&szlig;e\n{$_SESSION['UserName']}";
		echo "</textarea></td>";
        echo "</tr>";
    }
    
    echo "<tr>";
    echo "<td colspan=\"2\">";
    
    if ( $myVar->printChange == FALSE )
    {
        echo "<input class=\"buttonSubmit\" style=\"width:8em\" type=\"submit\" value=\"einf&uuml;gen\" />";
        echo "<input type=\"hidden\" name=\"insert\" value=\"1\" />";
    }
    else
    {
        echo "<input class=\"buttonSubmit\" style=\"width:8em\" type=\"submit\" value=\"&auml;ndern\" />";
        echo "<input type=\"hidden\" name=\"UserID\" value=\"{$_REQUEST['UserID']}\" />";
        echo "<input type=\"hidden\" name=\"change\" value=\"1\" />";
    }
    
    echo "</td>";
    echo "</tr>";
    echo "</table>";
    
    echo "</form>";
    
    if ( $myVar->printChange == TRUE )
    {
	    $var = array();
	    $var['MenuID'] = 890;
	    $var = $myVar->getRequest($var,TRUE);

        echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}\">";
        echo "<p style=\"margin:1em 0 0 0\">";
        echo $var;
        echo "<input class=\"buttonSubmitWarning\" style=\"margin-left:0.15em; width:8em\" type=\"submit\" value=\"l&ouml;schen\" />";
        echo "<input type=\"hidden\" name=\"UserID\" value=\"{$_REQUEST['UserID']}\" />";
        echo "</p>";
        echo "</form>";
    }
    
    echo "</fieldset>";
    
    
    // wieder zurcksetzen
    $myVar->printChange = FALSE;
}

?>
