<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Export
 */


if ( $_SESSION['UserRechte'] < 300 )
    exit();

if ( $myVar->MenuID == 293 )
{
    $linkTarget="target=\"_blank\"";		// Scl: change here if you want to have another link target
    echo "<form method=\"get\" name=\"export\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<fieldset>";
    echo "<legend>Exportieren der Filme</legend>";
    echo "<select name=\"export\" size=\"1\">";
    echo "<option value=\"\" selected=\"selected\">w&auml;hle:</option>";
    echo "<option value=\"1\">PDF: nach Titel sortiert</option>";
    echo "<option value=\"2\">PDF: nach FilmID sortiert</option>";
    echo "<option value=\"3\">CSV</option>";
    echo "</select>";
    echo "<input type=\"submit\" name=\"sent\" class=\"buttonSubmit\" style=\"vertical-align:top\" value=\"Export\" />";
    
    echo "<p><strong>Hinweis</strong>: Nach der Auswahl dauert es einige Sekunden bis sich die PDF-Datei zum Download &ouml;ffnet, " .
            "da die Datei zuerst generiert werden muss. Zeit ist abh&auml;ngig von Anzahl der Filme. " .
            "Bei zu gro&szlig;er Anzahl kann es zu einem serverseitigen Abbruch durch ein Timeout kommen.</p>";
    echo "<p>CSV-Dateien k&ouml;nnen in OpenOffice o.&auml;. beliebig weiterverarbeitet werden.</p>";
    echo "<p>Der PDF-Export befindet sich noch im &quot;Beta-Status&quot;. Irgendwann wird sich hier mehr tun.</p>";
    //if ( $_SESSION['UserRechte'] == 900 )
    //    echo "<p>Bei Probleme mit dem Schreiben in ein tempor&auml;res Verzeichnis, &auml;ndere es &uuml;ber das Settings-Men&uuml;!</p>";
    echo $myVar->getRequest("",TRUE);
    echo "<table style=\"width:100%;\">";    
    echo "<tr>";
    echo "<td style=\"width:260px; vertical-align:top;\">Auflistung aller Filme, erstellt von <strong>Scl</strong>:</td>";
    echo "<td style=\"width:120px; vertical-align:top;\">";
    echo "nach Titel <br /><br />";
    echo "nach FilmID <br /><br />";
    echo "nach Laufzeit <br /><br />";
    echo "nach Jahr <br /><br />";
    echo "nach FSK <br /><br />";
    echo "nach Filmformat <br /><br />";
    echo "</td>";
    echo "<td style=\"vertical-align:top;\">";
	// Scl: Links anpepasst auf neues list.php: Steuerung ber Script-Parameter
    echo "<a $linkTarget href=\"./includes/list.php?order=title\"><img style=\"border:none\" src=\"./img/oben.gif\" alt=\"\" /></a>&nbsp;<a $linkTarget href=\"./includes/list.php?order=title&dir=desc\"><img style=\"border:none\" src=\"./img/unten.gif\" alt=\"\" /></a><br /><br />";
    echo "<a $linkTarget href=\"./includes/list.php?order=filmid\"><img style=\"border:none\" src=\"./img/oben.gif\" alt=\"\" /></a>&nbsp;<a $linkTarget href=\"./includes/list.php?order=filmid&dir=desc\"><img style=\"border:none\" src=\"./img/unten.gif\" alt=\"\" /></a><br /><br />";
    echo "<a $linkTarget href=\"./includes/list.php?order=runtime\"><img style=\"border:none\" src=\"./img/oben.gif\" alt=\"\" /></a>&nbsp;<a $linkTarget href=\"./includes/list.php?order=runtime&dir=desc\"><img style=\"border:none\" src=\"./img/unten.gif\" alt=\"\" /></a><br /><br />";
    echo "<a $linkTarget href=\"./includes/list.php?order=year\"><img style=\"border:none\" src=\"./img/oben.gif\" alt=\"\" /></a>&nbsp;<a $linkTarget href=\"./includes/list.php?order=year&dir=desc\"><img style=\"border:none\" src=\"./img/unten.gif\" alt=\"\" /></a><br /><br />";
    echo "<a $linkTarget href=\"./includes/list.php?order=fsk\"><img style=\"border:none\" src=\"./img/oben.gif\" alt=\"\" /></a>&nbsp;<a $linkTarget href=\"./includes/list.php?order=fsk&dir=desc\"><img style=\"border:none\" src=\"./img/unten.gif\" alt=\"\" /></a><br /><br />";
    echo "<a $linkTarget href=\"./includes/list.php?order=format\"><img style=\"border:none\" src=\"./img/oben.gif\" alt=\"\" /></a>&nbsp;<a $linkTarget href=\"./includes/list.php?order=format&dir=desc\"><img style=\"border:none\" src=\"./img/unten.gif\" alt=\"\" /></a><br /><br />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
    echo "</fieldset>";
    echo "</form>";
}


?>
