<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *        (AddOn: Reservierung)            *
 *******************************************
 *                                         *
 * Copyright: ab 2008 Christopher Arthur   *
 *  Internet: www.der-domi.de              *
 *     Email: Webmaster@LifesHammer.de     *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * reservierte Filme anzeigen und bearbeiten
 */


if ( $_SESSION['UserRechte'] < 900 && 
     !( $_SESSION['UserRechte'] == 600 && $settings->AdminCanDistribute )
   )
    exit();
    
if($settings->activateSortierTitel)
  $titel = 'Sortiertitel';
else
  $titel = 'Titel';

if ( $myVar->MenuID == 893 )
{
    $var = array();
    $var = $myVar->getRequest($var,TRUE); 
    
    echo "<form method=\"get\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<fieldset>";
    echo "<legend>Film reservieren</legend>";
    echo $var;
    echo "<input type=\"hidden\" name=\"reservieren\" value=\"Unique\" />";
    echo "<table class=\"FilmInsert\">";
    echo "<tr>";
    echo "<td class=\"description\">FilmID</td>";
    
    echo "<td><input style=\"width:7em\" type=\"text\" name=\"myFilmID\" value=\"";
    if ( isset($_REQUEST) && array_key_exists( 'myFilmID' , $_REQUEST ) )
        echo $_REQUEST['myFilmID'];
    else
        echo $myVar->myFilmIDstring;
    echo "\" /><span style=\"font-size:0.9em\"> (mit KollektionsID)</span></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Benutzer</td>";
    echo "<td>";
    echo "<select name=\"UserID\">";
    $sql = "SELECT * FROM $myDB->USERS ORDER BY UserName";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
    {
        echo "<option value=\"{$row['UserID']}\"";
        if ( array_key_exists( 'UserID' , $_REQUEST ) && $row['UserID'] == $_GET['UserID'] )
            echo "selected=\"selected\" style=\"font-weight:bold\"";
        echo ">{$row['UserName']} ({$row['Email']})</option>";
    }
    
    echo "</select>";
    echo "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td colspan=\"2\"><input style=\"margin-top:1em; width:8em\" class=\"buttonSubmit\" type=\"submit\" value=\"eintragen\" /></td>";
    echo "</tr>";
    echo "</table>";
    echo "<input type=\"hidden\" name=\"discard\" value=\"0\" />";   
    echo "</fieldset>";
    echo "</form>";
    
    // zhlen wieviele Filme insegsamt reserviert sind
    if($_SESSION['ownFilms'] == 0) {
        $sql0 = "SELECT COUNT(*) AS Anz FROM $myDB->RESERVIERUNG re WHERE re.USERS_UserID != 0";
    } else {
        $sql0 = "SELECT COUNT(*) AS Anz FROM $myDB->RESERVIERUNG re INNER JOIN $myDB->FILME fi ON re.FILME_FilmID = fi.FilmID WHERE re.USERS_UserID != 0 AND fi.USERS_UserID = {$_SESSION['UserID']}";
    }
    $rs0 = $myDB->go($sql0);
    $row0= $myDB->getRow($rs0);
    

    if ($_SESSION['ownFilms'] == 0) {    
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->RESERVIERUNG di INNER JOIN $myDB->DISCS re ON re.FILME_FilmID = di.FILME_FilmID WHERE di.USERS_UserID != 0";
    } else {
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->RESERVIERUNG di INNER JOIN $myDB->DISCS re ON re.FILME_FilmID = di.FILME_FilmID INNER JOIN $myDB->FILME fi ON re.FILME_FilmID = fi.FilmID WHERE di.USERS_UserID != 0 AND fi.USERS_UserID = {$_SESSION['UserID']}";
    }
    $rs = $myDB->go($sql);
    $row= $myDB->getRow($rs);

    if ( $row0['Anz'] > 0 )
    {
        echo "<div id=\"verliehen\">";
        echo "<fieldset style=\"margin-top:2em\">";
        
        if ( $row0['Anz'] == 1 ) {
            echo "<legend>ein reservierter Film";
            if ( $row['Anz'] > 1 )
                echo " ({$row['Anz']} Disks)";
            echo "</legend>";
        }
        else {
            echo "<legend>{$row0['Anz']} reservierte Filme";
            if ( $row['Anz'] > 1 )
                echo " ({$row['Anz']} Disks)";
            echo "</legend>";
        }
    }
   

    if ( $row0['Anz'] > 0)
    {
        echo "<ul>";
        if ($_SESSION['ownFilms'] == 0) {
            $sql = "SELECT DISTINCT us.UserID, us.UserName FROM $myDB->RESERVIERUNG re INNER JOIN $myDB->USERS us ON us.UserID = re.USERS_UserID ORDER BY us.UserName";
        } else {
            $sql = "SELECT DISTINCT us.UserID, us.UserName FROM $myDB->RESERVIERUNG re INNER JOIN $myDB->USERS us ON us.UserID = re.USERS_UserID INNER JOIN $myDB->FILME fi ON re.FILME_FilmID = fi.FilmID WHERE fi.USERS_UserID = {$_SESSION['UserID']} ORDER BY us.UserName";
        }
        $rs = $myDB->go($sql);
        
        for( $i = 0; $row = $myDB->getRow($rs); ++$i )
        {
            echo "<li>{$row['UserName']} hat ";
            if ($_SESSION['ownFilms'] == 0) {
                $sql3 = "SELECT COUNT(*) AS Anz FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$row['UserID']} GROUP BY FILME_FilmID";
            } else {
                $sql3 = "SELECT COUNT(*) AS Anz FROM $myDB->RESERVIERUNG re INNER JOIN $myDB->FILME fi ON re.FILME_FilmID = fi.FilmID WHERE re.USERS_UserID = {$row['UserID']} AND fi.USERS_UserID = {$_SESSION['UserID']} GROUP BY re.FILME_FilmID";
            }
            $rs3 = $myDB->go($sql3);
            $row3['Anz'] = mysql_num_rows($rs3);
            //$row3 = $myDB->getRow($rs3);
            if ( $row3['Anz'] == 1 )
                echo "einen Film reserviert ";
            else
                echo $row3['Anz']." Filme reserviert ";

            // Einfgen der DISK ID in Reservierung
            if ($_SESSION['ownFilms'] == 0) {
                $sql3 = "SELECT DISTINCT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->RESERVIERUNG re ON di.FILME_FilmID = re.FILME_FilmID WHERE re.USERS_UserID = {$row['UserID']}";
            } else {
                $sql3 = "SELECT DISTINCT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->RESERVIERUNG re ON di.FILME_FilmID = re.FILME_FilmID INNER JOIN $myDB->FILME fi ON re.FILME_FilmID = fi.FilmID WHERE re.USERS_UserID = {$row['UserID']} AND fi.USERS_UserID = {$_SESSION['UserID']}";
            }
            $rs3 = $myDB->go($sql3);
            $row3 = $myDB->getRow($rs3);
            if ( $row3['Anz'] != 1 )
                echo "(".$row3['Anz']." Disks)";

            if ($_SESSION['ownFilms'] == 0) {
                $sql4 = "SELECT DISTINCT re.FILME_FilmID, di.FILME_FilmID  FROM $myDB->RESERVIERUNG re INNER JOIN $myDB->DISCS di ON di.FILME_FilmID = re.FILME_FilmID WHERE ausgeliehenAm =0000-00-00 AND re.USERS_UserID = {$row['UserID']}";
            } else {
                $sql4 = "SELECT DISTINCT re.FILME_FilmID, di.FILME_FilmID  FROM $myDB->RESERVIERUNG re INNER JOIN $myDB->DISCS di ON di.FILME_FilmID = re.FILME_FilmID INNER JOIN $myDB->FILME fi ON re.FILME_FilmID = fi.FilmID WHERE ausgeliehenAm =0000-00-00 AND re.USERS_UserID = {$row['UserID']} AND fi.USERS_UserID = {$_SESSION['UserID']}";
            }
            $rs4 = $myDB->go($sql4);
            $row4['Anz'] = mysql_num_rows($rs4);

            if( $row4['Anz'] >= 2 ) {
            $var = array();
            $var['reservieren'] = 'mass';
            $var['FilmID'] = $row2['FilmID'];
            $var = $myVar->getRequest($var)."UserID={$row['UserID']}";
            echo "<span style=\"margin:0; font-weight:normal; font-size:0.81em\"><a href=\"{$_SERVER['PHP_SELF']}?$var\"> Alle verfgbaren Filme verleihen</a></span>";
            }

            if ($_SESSION['ownFilms'] == 0) {
                $sql2 = "SELECT FilmID, COLLECT_CollectID, myFilmID, Titel, reserviertAm FROM $myDB->FILME fi INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID=FilmID WHERE re.USERS_UserID = {$row['UserID']} ORDER BY $titel";
            } else {
                $sql2 = "SELECT FilmID, COLLECT_CollectID, myFilmID, Titel, reserviertAm FROM $myDB->FILME fi INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID=FilmID WHERE re.USERS_UserID = {$row['UserID']} AND fi.USERS_UserID = {$_SESSION['UserID']} ORDER BY $titel";
            }
            $rs2 = $myDB->go($sql2);
            echo "<ul>";
            while( $row2 = $myDB->getRow($rs2) )
            {
                $var = array();
                $var['MenuID'] = 280;
                $var['FilmID'] = $row2['FilmID'];
                $var = $myVar->getRequest($var); 
                
                if($settings->showArtikelFirst) 
                  $row2['Titel'] = PrependStrippedArticle($row2['Titel']);
  
                echo "<li>";
                echo "<p id=\"Filmlink\" style=\"margin:0\"><a href=\"{$_SERVER['PHP_SELF']}?$var\">";
                echo $row2['Titel']." (FilmID: ".$row2['COLLECT_CollectID']."-".getAnzStellenID( $row2['myFilmID'], $settings ).")";
                echo "</a></p>";
                
                $var = array();
                $var['FilmID'] = $row2['FilmID'];
                $var['reservieren'] = 'rent';
                $var['UserID'] = $row['UserID'];
                $var['discard'] = 0;
                $var = $myVar->getRequest($var);

                $sql3 = "SELECT ausgeliehenAm FROM $myDB->FILME fi INNER JOIN $myDB->DISCS di ON FILME_FilmID=FilmID WHERE di.FILME_FilmID = {$row2['FilmID']} ORDER BY $titel";
                $rs3 = $myDB->go($sql3);
                $row3 = $myDB->getRow($rs3);

                echo "<p style=\"margin:0; font-size:0.81em\">";

                // Verleih von verliehenen Filmen deaktivieren und farbliche Hervorhebung der Verfgbarkeit
                if ( $row3['ausgeliehenAm'] == 0000-00-00) {             
                echo "<a href=\"{$_SERVER['PHP_SELF']}?$var\">verleihen (DiskID: <span style=\"font-weight:bold; color:green\">".getDiscID( $row2['FilmID'], $myDB, $settings ).")</span></a> - reserviert seit ". formatDate( $row2['reserviertAm'] );
		} else {
                echo " <span style=\"font-weight:bold\">Film derzeit ausgeliehen</span> (DiskID: <span style=\"font-weight:bold; color:red\">".getDiscID( $row2['FilmID'], $myDB, $settings ).")</span> - reserviert seit ". formatDate( $row2['reserviertAm'] );
                }
                if ( $myDB->MySQL_Ver )
                    echo " (".getDaysInWeeks( getDaysFromToday( $row2['reserviertAm'], $myDB ) ).")";
                echo "</p>";

                $var = array();
                $var['FilmID'] = $row2['FilmID'];
                $var['reservieren'] = 'rent';
                $var['UserID'] = $row['UserID'];
                $var['discard'] = 1;
                $var = $myVar->getRequest($var); 

                echo "<p style=\"margin:0; font-size:0.81em\"><a href=\"{$_SERVER['PHP_SELF']}?$var\">Reservierung lschen</a>";
                echo "</p>";
                echo "</li>";
            }
            
            echo "</ul>";
            echo "</li>";
        }
        echo "</ul>";
        
        echo "</fieldset>";
        echo "</div>";
    }
}


?>