<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2008 Christopher Arthur   *
 *  Internet: www.der-domi.de              *
 *     Email: Webmaster@LifesHammer.de     *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * ausgewhlte Aktionen der Reservierung verarbeiten
 */


  // Reservierung des Films austragen
  if ( $myVar->MenuID == 893 && $_GET['reservieren'] == 'rent' && isset($_REQUEST['UserID']) )
  {
      if ( !count( $myVar->warnung ) )
      {
        if ( $_GET['discard'] == 0 )
        {
          // zhlen, ob eine Disc dieses Filmes verliehen ist
          $sql = "SELECT DiscID FROM $myDB->DISCS WHERE FILME_FilmID=$myVar->FilmID";
          $rs = $myDB->go($sql);
          $anz = 0;
          while ( $row = $myDB->getRow($rs) )
          {
              $sql2 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME ON FILME_FilmID=FilmID WHERE COLLECT_CollectID={$myVar->myFilmID[0]} AND DiscID={$row['DiscID']} AND di.USERS_UserID != 0";
              $rs2 = $myDB->go($sql2);
              $row2 = $myDB->getRow($rs2);
              $anz += $row2['Anz'];
          }
          if ( $anz == 0 )
          {
              $sql2 = "UPDATE $myDB->DISCS SET USERS_UserID = {$_REQUEST['UserID']}, ausgeliehenAm = '". date('Y-m-d') ."' WHERE FILME_FilmID = $myVar->FilmID";
              $myDB->go($sql2);
  
              $sql2 = "SELECT Titel FROM $myDB->FILME WHERE FilmID=$myVar->FilmID";
              $rs2 = $myDB->go($sql2);
              $row2 = $myDB->getRow($rs2);
  
              $sql = "INSERT INTO $myDB->HISTORY ( FILME_FilmID, USERS_UserID, ausgeliehenAm ) VALUES ( $myVar->FilmID, {$_REQUEST['UserID']}, '". date('Y-m-d') ."')";
              $myDB->go($sql);
  
              $sql3 = "SELECT UserName FROM $myDB->USERS WHERE UserID = {$_REQUEST['UserID']}";
              $rs3 = $myDB->go($sql3);
              $row3 = $myDB->getRow($rs3);
  
              // reservierten Film lschen
              $sql3 = "SELECT UserID, UserName, Titel, COLLECT_CollectID, myFilmID FROM $myDB->RESERVIERUNG re INNER JOIN $myDB->FILME fi ON FILME_FilmID=FilmID INNER JOIN $myDB->USERS ON re.USERS_UserID = UserID AND re.USERS_UserID = {$_REQUEST['UserID']} AND FilmID = $myVar->FilmID";
              $rs = $myDB->go($sql3);
  
              if ( $row = $myDB->getRow($rs) )
                  {
                  $sql4 = "DELETE FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$_REQUEST['UserID']} AND FILME_FilmID = $myVar->FilmID LIMIT 1";
                  $myDB->go($sql4);
                  
                  if($settings->showArtikelFirst) 
                    $row2['Titel'] = PrependStrippedArticle($row2['Titel']);
  
                  $myVar->erfolg[] = "&quot;{$row2['Titel']}&quot; ($myVar->myFilmIDstring) wurde an {$row3['UserName']} verliehen!";
                  }
          }
          else
              $myVar->hinweis[] = "Dieser Film oder eine Disk dieses Filmes ist bereits verliehen!";
       }
       else
        {
        $sql2 = "SELECT Titel FROM $myDB->FILME WHERE FilmID=$myVar->FilmID";
        $rs2 = $myDB->go($sql2);
        $row2= $myDB->getRow($rs2);
  
        $sql3 = "SELECT UserName FROM $myDB->USERS WHERE UserID = {$_REQUEST['UserID']}";
        $rs3 = $myDB->go($sql3);
        $row3 = $myDB->getRow($rs3);
  
        $sql4 = "DELETE FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$_REQUEST['UserID']} AND FILME_FilmID = $myVar->FilmID LIMIT 1";
        $myDB->go($sql4);
        
        if($settings->showArtikelFirst) 
          $row2['Titel'] = PrependStrippedArticle($row2['Titel']);
        $myVar->erfolg[] = "Die Reservierung von &quot;{$row2['Titel']}&quot; ($myVar->myFilmIDstring) fr {$row3['UserName']} wurde gelscht";
        }
      }
  }
  // Reservierung eines Films eintragen
  if ( $myVar->MenuID == 280 && isset($_GET['reservieren']) && isset( $myVar->FilmID ) )
  {
      if ( !count ( $myVar->hinweis ) )
      {
          if ( !count( $myVar->warnung ) )
          {
              // prfen ob eine Disc dieses Filmes bereits an anfragenden User verliehen ist
              $sql = "SELECT DiscID FROM $myDB->DISCS WHERE FILME_FilmID=$myVar->FilmID AND USERS_UserID = {$_SESSION['UserID']}";
              $rs = $myDB->go($sql);
              $anz = 0;
              while ( $row = $myDB->getRow($rs) )
              {
                  $sql2 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME ON FILME_FilmID=FilmID WHERE COLLECT_CollectID={$myVar->myFilmID[0]} AND DiscID={$row['DiscID']} AND di.USERS_UserID != 0";
                  $rs2 = $myDB->go($sql2);
                  $row2 = $myDB->getRow($rs2);
                  $anz += $row2['Anz'];
              }
              if ( $anz == 0 )
              {
                  $sql = "SELECT COUNT( * ) AS Anz FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$_SESSION['UserID']} AND Filme_FilmID = $myVar->FilmID";
                  $rs = $myDB->go($sql);
                  $row = $myDB->getRow($rs);
                  $anz += $row['Anz'];
  
                  $sql2 = "SELECT Titel FROM $myDB->FILME WHERE FilmID=$myVar->FilmID";
                  $rs2 = $myDB->go($sql2);
                  $row2 = $myDB->getRow($rs2);
                  
                  if($settings->showArtikelFirst) 
                    $row2['Titel'] = PrependStrippedArticle($row2['Titel']);
  
                  if( $anz == 0 )
                  {
           	    if($_GET['override'] != 1)
                      {
                          // prfen ob selber Film schon einmal an anfragenden User verliehen wurde
        	                $sql = "SELECT COUNT(*) AS Anz FROM $myDB->HISTORY WHERE FILME_FilmID=$myVar->FilmID AND USERS_UserID = {$_SESSION['UserID']}";
                          $rs = $myDB->go($sql);
                          $anz = 0;
                          while ( $row = $myDB->getRow($rs) )
                          {
  	                    $anz += $row['Anz'];
                          }
                      } 
  
  	            if ( $anz != 0 )
                      {
  		        $var = $myVar->getRequest($var);
  		        $var2 = $myVar->getRequest($var)."reservieren=reservieren&amp;override=1"; 
  		        $myVar->hinweis[] = "Du hast diesen Film schon einmal ausgeliehen. Vorgang fortsetzen ? <a href=\"{$_SERVER['PHP_SELF']}?$var2\">Ja</a> / <a href=\"{$_SERVER['PHP_SELF']}?$var\">Nein</a>";
                      } else { 
  
                      $sql2 = "INSERT $myDB->RESERVIERUNG SET USERS_UserID = {$_SESSION['UserID']}, reserviertAm = '". date('Y-m-d') ."', FILME_FilmID = $myVar->FilmID";
                      $myDB->go($sql2);
                      $myVar->erfolg[] = "&quot;{$row2['Titel']}&quot; ($myVar->myFilmIDstring) wurde fr dich reserviert!";
                      }
                  }
                  else
                     $myVar->hinweis[] = "Du hast &quot;{$row2['Titel']}&quot; ($myVar->myFilmIDstring) schon fr dich reserviert!";
              }
              else
                  $myVar->hinweis[] = "Dieser Film oder eine Disk dieses Filmes ist bereits von dir ausgeliehen!";
          }
                         
      }
      else
          $myVar->warnung[] = "Reservierung nicht erfolgreich. Reservierungssperre wegen fehlender Bewertungen aktiv.";
  }
  
  // Reservierung des Films austragen
  if ( $myVar->MenuID == 294 && $_GET['reservieren'] == 'delete' && isset($_SESSION['UserID']) )
  {
      if ( !count( $myVar->warnung ) )
      {
              // reservierten Film lschen
              $sql3 = "SELECT UserID, UserName, Titel, COLLECT_CollectID, myFilmID FROM $myDB->RESERVIERUNG re INNER JOIN $myDB->FILME fi ON FILME_FilmID=FilmID INNER JOIN $myDB->USERS ON re.USERS_UserID = UserID AND re.USERS_UserID = {$_SESSION['UserID']} AND FilmID = $myVar->FilmID";
              $rs = $myDB->go($sql3);
  
              if ( $row = $myDB->getRow($rs) )
                  {
                  $sql4 = "DELETE FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$_SESSION['UserID']} AND FILME_FilmID = $myVar->FilmID LIMIT 1";
                  $myDB->go($sql4);
                  
                  if($settings->showArtikelFirst) 
                    $row['Titel'] = PrependStrippedArticle($row['Titel']);
                  $myVar->erfolg[] = "Deine Reservierung fr &quot;{$row['Titel']}&quot; ($myVar->myFilmIDstring) wurde von dir gelscht!";
                  }
      }
  }
  
  // Massenverleih fr einen User durchfhren 
  if ( $myVar->MenuID == 893 && $_GET['reservieren'] == 'mass' && isset($_REQUEST['UserID']) )
  {
      if ( !count( $myVar->warnung ) )
      {
          // Abfrage der FilmIDs fr Massenverleih
          $sql = "SELECT DISTINCT di.FILME_FilmID, reserviertAm FROM $myDB->RESERVIERUNG re LEFT OUTER JOIN $myDB->DISCS di ON di.FILME_FilmID = re.FILME_FilmID WHERE ausgeliehenAm = 0000-00-00 AND re.USERS_UserID = {$_REQUEST['UserID']}";
          $rs = $myDB->go($sql);
  	
          while ( $row = $myDB->getRow($rs) )
          { 
              $sql2 = "UPDATE $myDB->DISCS SET USERS_UserID = {$_REQUEST['UserID']}, ausgeliehenAm = '". date('Y-m-d') ."' WHERE FILME_FilmID = {$row['FILME_FilmID']}";
              $myDB->go($sql2);
  
              $sql = "INSERT INTO $myDB->HISTORY ( FILME_FilmID, USERS_UserID, ausgeliehenAm ) VALUES ( {$row['FILME_FilmID']}, {$_REQUEST['UserID']}, '". date('Y-m-d') ."')";
              $myDB->go($sql);
  
              $sql2 = "SELECT Titel, COLLECT_CollectID, myFilmID  FROM $myDB->FILME WHERE FilmID={$row['FILME_FilmID']}";
              $rs2 = $myDB->go($sql2);
              $row2 = $myDB->getRow($rs2);
  
              $sql3 = "SELECT UserName FROM $myDB->USERS WHERE UserID = {$_REQUEST['UserID']}";
              $rs3 = $myDB->go($sql3);
              $row3 = $myDB->getRow($rs3);
  
              // reservierten Film lschen
              $sql4 = "DELETE FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$_REQUEST['UserID']} AND FILME_FilmID = {$row['FILME_FilmID']} LIMIT 1";
              $myDB->go($sql4);
              
              if($settings->showArtikelFirst) 
                $row2['Titel'] = PrependStrippedArticle($row2['Titel']);
  
              $myVar->erfolg[] = "&quot;{$row2['Titel']}&quot; ({$row2['COLLECT_CollectID']}-".getAnzStellenID( $row2['myFilmID'], $settings ).") wurde an {$row3['UserName']} verliehen!";                
          }
      }    
  }
  
  // Reservierung eines Films eintragen
  // Implementiert, falls Film nicht sofort verliehen werden soll oder fr einen bestimmten User reserviert werden soll
  if ( $myVar->MenuID == 893 && $_GET['reservieren'] == 'Unique' && isset( $myVar->FilmID ) && isset($_REQUEST['UserID']) )
  {
      if ( !count( $myVar->warnung ) )
      {
          // prfen ob eine Disc dieses Filmes bereits an ausgewhlten User verliehen ist
          $sql = "SELECT DiscID FROM $myDB->DISCS WHERE FILME_FilmID=$myVar->FilmID AND USERS_UserID = {$_REQUEST['UserID']}";
          $rs = $myDB->go($sql);
          $anz = 0;
          while ( $row = $myDB->getRow($rs) )
          {
              $sql2 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME ON FILME_FilmID=FilmID WHERE COLLECT_CollectID={$myVar->myFilmID[0]} AND DiscID={$row['DiscID']} AND di.USERS_UserID != 0";
              $rs2 = $myDB->go($sql2);
              $row2 = $myDB->getRow($rs2);
              $anz += $row2['Anz'];
          }
              $sql3 = "SELECT UserName FROM $myDB->USERS WHERE UserID = {$_REQUEST['UserID']}";
              $rs3 = $myDB->go($sql3);
              $row3 = $myDB->getRow($rs3);
          if ( $anz == 0 )
          {
              $sql = "SELECT COUNT( * ) AS Anz FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$_REQUEST['UserID']} AND Filme_FilmID = $myVar->FilmID";
              $rs = $myDB->go($sql);
              $row = $myDB->getRow($rs);
              $anz += $row['Anz'];
  
              $sql2 = "SELECT Titel FROM $myDB->FILME WHERE FilmID=$myVar->FilmID";
              $rs2 = $myDB->go($sql2);
              $row2 = $myDB->getRow($rs2);
  
              if($settings->showArtikelFirst) 
                $row2['Titel'] = PrependStrippedArticle($row2['Titel']);
  
              if( $anz == 0 )
              {
              $sql2 = "INSERT $myDB->RESERVIERUNG SET USERS_UserID = {$_REQUEST['UserID']}, reserviertAm = '". date('Y-m-d') ."', FILME_FilmID = $myVar->FilmID";
              $myDB->go($sql2);
              $myVar->erfolg[] = "&quot;{$row2['Titel']}&quot; ($myVar->myFilmIDstring) wurde fr {$row3['UserName']} reserviert!";
              }
              else
              $myVar->hinweis[] = "&quot;{$row2['Titel']}&quot; ($myVar->myFilmIDstring) wurde schon fr {$row3['UserName']} reserviert!";
         }
          else
          $myVar->hinweis[] = "Dieser Film oder eine Disk dieses Filmes ist bereits an {$row3['UserName']} verliehen!";
      }
  
  }


?>